> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/begin-checkout.md).

# Begin Checkout

When user initiates checkout, fire below event

```
window._mp.safeExecute('evBeginCheckout', function() {
   eedl('mp_begin_checkout', {
      currency: 'INR', /* Currency of website */
      cart_id: '123', // mandatory
      value: 123.33, // float value of the item being viewed
      coupon: '<optional coupon>', // Leave this undefined if there is no coupon
      items: [/* Refer to Products Array page in reference below */],
      ev_source: 'ingestlabs'
    });
  })();
```

### Send event from an iframe window

If the event occurs in a iframe window, you need to fire the event using the below script.

```
window.top.postMessage({
      event_name: 'mp_begin_checkout',
      event_payload: {
            currency: 'INR', /* Currency of website */
            cart_id: '123', // mandatory
            value: 123.33, // float value of the item being viewed
            coupon: '<optional coupon>', // Leave this undefined if there is no coupon
            items: [/* Refer to Products Array page in reference below */],
            ev_source: '<Orign of the event>' // Example: 1Checkout, Razorpay, Gokwik, etc.
          }
    },
    'PARENT_URL'
);

PARENT_URL is the url of the website.
```

{% content-ref url="/pages/d2NZ4n0wQEnlBVinzBdl" %}
[Products Array](/implementation/web-sdk/tracking-events/products-array.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/begin-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
